Android 11 app support?

Mobile Testing, Android App Testing.
Otter_T
Posts: 18
Joined: Mon Aug 31, 2015 5:33 pm

Android 11 app support?

Post by Otter_T » Fri Oct 09, 2020 8:45 pm

I am having problems instrumenting and deploying an app built with the Android 11 SDK on Ranorex Studio 9.3.3. The app instrumentation process appears to work, but the app deployment fails with the following error:

Failure [INSTALL_FAILED_INVALID_APK: Failed to extract native libraries, res=-2]

at Ranorex.Plugin.Mobile.Tools.Android.AndroidUsbDeploymentService.Deploy(String apkFilePath, String deviceInstance, IToolConfig config)
at Ranorex.Plugin.Mobile.RxIntegration.Instrumentation.AndroidWorker.Deploy(String packageName, String toDeploy)
at Ranorex.Plugin.Mobile.RxIntegration.Instrumentation.AndroidWorker.Run()
at Ranorex.Controls.AndroidInstrumentProgressPage.bgw_DoWork(Object sender, DoWorkEventArgs e)


Does this mean that Ranorex Studio 9.3.3 does not support Android 11 SDK apps? Is there any workaround?

dhale
Posts: 43
Joined: Thu Feb 27, 2014 7:33 pm

Re: Android 11 app support?

Post by dhale » Mon Oct 19, 2020 8:45 pm

Does your android manifest have

Code: Select all

android:extractNativeLibs="true"
- I was getting same until I added this

Otter_T
Posts: 18
Joined: Mon Aug 31, 2015 5:33 pm

Re: Android 11 app support?

Post by Otter_T » Fri Oct 23, 2020 4:17 pm

Changing that manifest attribute does allow the instrumentation/deployment process to finish, but there's an additional problem for which I have opened a case with Ranorex Support. A large number of my repository objects use the RId attribute, and these attributes are no longer appearing in the instrumented version of the app that was built with SDK level 30. Google made several changes to the build/code shrinking process with SDK 30, and I suspect that the current version of Apktool (which is almost a year old) is not compatible with these changes.